//
//  KloutPassButton.h
//  klout-ios-sdk
//
//  Created by Jieren Chen on 9/14/12.
//  Copyright (c) 2012 Klout. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "KloutPassAdapterDelegate.h"
#import "KloutPassAdapter.h"


@interface KloutPassButton : UIButton <KloutPassAdapterDelegate>

@property(nonatomic, retain) KloutPassAdapter* theAdapter;
@property(nonatomic, retain) NSString* apiKey;
@property(nonatomic, retain) NSString* apiSecret;
@property(nonatomic, retain) NSString* redirect;
@property (nonatomic, retain) IBOutlet id <KloutPassAdapterDelegate> theDelegate;

- (void) performClick:(id)sender;

@end
