//
//  KloutPassWebView.h
//  klout-ios-sdk
//
//  Created by Jieren Chen on 9/4/12.
//  Copyright (c) 2012 Klout. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "KloutPassWebViewDelegate.h"

@interface KloutPassWebView : UIWebView<UIWebViewDelegate>

@property (nonatomic, retain) NSURLRequest *baseRequest;
@property (nonatomic, retain) NSString* apiRedirect;
@property (nonatomic, retain) id<KloutPassWebViewDelegate> theDelegate;

- (id) initWithFrame:(CGRect)frame withURL:(NSString*)url withDelegate:(id<KloutPassWebViewDelegate>)del withRedirect:(NSString*)redirect;
- (void) reset;

@end
