//
//  KloutPassAdapterDelegate.h
//  klout-ios-sdk
//
//  Created by Jieren Chen on 9/5/12.
//  Copyright (c) 2012 Klout. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "KloutPassError.h"

@protocol KloutPassAdapterDelegate

- (void) completedLogin;
- (void) completedUserFetch:(NSString*)userPayload;
- (void) error:(KloutPassError*)theError;
- (NSString*) apiKey;
- (NSString*) apiSecret;
- (NSString*) redirect;
@end
