//
//  KloutPassError.h
//  klout-ios-sdk
//
//  Created by Jieren Chen on 9/12/12.
//  Copyright (c) 2012 Klout. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum _KloutPassErrorType {
    CONNECTION_FAILURE,
    NOT_LOGGED_IN,
    ALREADY_LOGGED_IN,
    ALREADY_REQUESTING_USER,
    ALREADY_REQUESTING_TOKEN
} KloutPassErrorType;


@interface KloutPassError : NSError


@property (nonatomic, assign) KloutPassErrorType errorType;

- (id) initWithType:(KloutPassErrorType)type;
- (NSString*) errorMessage;
- (NSString*) errorCode;

@end
